- var ListadoCabecera = ["Tipo de ajuste", "Artículo", "Talla", "Cantidad"]

div.modal-header
    h4.modal-title {{ tTituloModal }}
    button(type="button", 
            aria-label="Close", 
            (click)="activeModal.dismiss('N')").close
        span(aria-hidden="true") &times;

div.modal-body
    div(*ngIf="!tArchivoCargado").form-row
        div.form-group.col-12.custom-file
            input(#flArchivo="",
                    lang="es", 
                    type="file", 
                    accept=".xlsx, .xls",
                    (change)="CargarExcel($event)")#flArchivo.custom-file-input
            label(for="flArchivo").custom-file-label Seleccionar archivo
    div(*ngIf="tArchivoCargado").form-row
        div.form-group.col-12
            div.form-row
                div.form-group.col-4
                    select([(ngModel)]="tFiltroActual").custom-select.custom-select-sm
                        option(*ngFor="let tFiltro of tFiltros", [ngValue]="tFiltro") {{tFiltro.Filtro}}
                div.form-group.col-8
                    input(type="text", placeholder="Ingrese busqueda", [(ngModel)]="tFiltroBusqueda").form-control.form-control-sm
            div.form-row
                div.form-group.col-12
                    div(style="overflow:scroll").table-responsive
                        table.table.table-sm.table-striped.table-hover
                            thead
                                tr
                                    each Cabecera in ListadoCabecera || []
                                        th
                                            h6.font-weight-bold=Cabecera
                            tbody(*ngFor="let tArticulo of tArticulosAjuste | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
                                    td
                                        h6 {{ tArticulo.Codtipoajusteinv }}
                                    td
                                        h6 {{ tArticulo.Codarticulo }}
                                    td
                                        h6 {{ tArticulo.Talla }}
                                    td
                                        h6 {{ tArticulo.Codalmacen }}    
                                    td
                                        h6 {{ tArticulo.Cantidad }}
            div.form-row
                div.form-group.col-12
                    ngb-pagination([collectionSize]="tArticulosAjuste.length", 
                                    [(page)]="tPagina", 
                                    aria-label="Default pagination", 
                                    [pageSize]="tTamanoPag").d-flex.justify-content-center
div.modal-footer
    button(type="button", [disabled]="!tArchivoCargado", (click)="Cancelar()").btn.btn-light.btn-icon-split
        span.icon.text-white-50
            i.fas.fa-times
        span.text Cancelar
    button(type="button", [disabled]="!tArchivoCargado", (click)="Cargar()").btn.btn-primary.btn-icon-split
        span.icon.text-white-50
            i.fas.fa-file-upload
        span.text Cargar
    button(type="button", (click)="activeModal.close('N')").btn.btn-secondary.btn-icon-split
        span.icon.text-white-50
            i.fas.fa-times
        span.text Cerrar